FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian KDE

 
 
LinkBack Thread Tools
 
Old 09-03-2010, 07:07 AM
"Boyd Stephen Smith Jr."
 
Default KDEPIM Runtime

Is someone actively working on migrating kdepim-runtime 4.4.5 to testing?
It's got a freeze exception, but the ia64 build seems broken.

PTS -- http://packages.qa.debian.org/k/kdepim-runtime.html
Why Not? -- http://release.debian.org/migration/testing.pl?package=kdepim-
runtime
Last Build Log -- https://buildd.debian.org/fetch.cgi?&pkg=kdepim-
runtime&ver=4%3A4.4.5-1&arch=ia64&stamp=1280117387&file=log

I could look into this, but I don't want to duplicate effort.

It's not that important anyway. I was just trying to clean my mixed system up
by downgrading packages from unstable -> testing. This is the last package
I'm concerned about, can it be safely downgraded from 4.4.5 -> 4.4.4?
--
Boyd Stephen Smith Jr. ,= ,-_-. =.
bss@iguanasuicide.net ((_/)o o(\_))
ICQ: 514984 YM/AIM: DaTwinkDaddy `-'(. .)`-'
http://iguanasuicide.net/ \_/
 
Old 09-03-2010, 09:25 AM
George Kiagiadakis
 
Default KDEPIM Runtime

On Fri, Sep 3, 2010 at 10:07 AM, Boyd Stephen Smith Jr.
<bss@iguanasuicide.net> wrote:
> Is someone actively working on migrating kdepim-runtime 4.4.5 to testing?
> It's got a freeze exception, but the ia64 build seems broken.
>
> PTS -- http://packages.qa.debian.org/k/kdepim-runtime.html
> Why Not? -- http://release.debian.org/migration/testing.pl?package=kdepim-
> runtime
> Last Build Log -- https://buildd.debian.org/fetch.cgi?&pkg=kdepim-
> runtime&ver=4%3A4.4.5-1&arch=ia64&stamp=1280117387&file=log
>
> I could look into this, but I don't want to duplicate effort.
>
> It's not that important anyway. *I was just trying to clean my mixed system up
> by downgrading packages from unstable -> testing. *This is the last package
> I'm concerned about, can it be safely downgraded from 4.4.5 -> 4.4.4?
> --
> Boyd Stephen Smith Jr. * * * * * * * * * ,= ,-_-. =.
> bss@iguanasuicide.net * * * * * * * * * ((_/)o o(\_))
> ICQ: 514984 YM/AIM: DaTwinkDaddy * * * * `-'(. .)`-'
> http://iguanasuicide.net/ * * * * * * * * * *\_/
>

I don't think anyone has looked into it. Personally, I wasn't aware of
it. I gave it a quick look and it seems to me that the error is
related to build order:

---
Generating /build/buildd-kdepim-runtime_4.4.5-1-ia64-MjvnL3/kdepim-runtime-4.4.5/obj-ia64-linux-gnu/agents/nepomuk_contact_feeder/nepomukcontactfeeder.moc
from /build/buildd-kdepim-runtime_4.4.5-1-ia64-MjvnL3/kdepim-runtime-4.4.5/agents/nepomuk_contact_feeder/nepomukcontactfeeder.h
/usr/bin/moc-qt4
-I/build/buildd-kdepim-runtime_4.4.5-1-ia64-MjvnL3/kdepim-runtime-4.4.5/obj-ia64-linux-gnu
-I/build/buildd-kdepim-runtime_4.4.5-1-ia64-MjvnL3/kdepim-runtime-4.4.5/obj-ia64-linux-gnu/agents/ontologies
-I/build/buildd-kdepim-runtime_4.4.5-1-ia64-MjvnL3/kdepim-runtime-4.4.5
-I/build/buildd-kdepim-runtime_4.4.5-1-ia64-MjvnL3/kdepim-runtime-4.4.5/agents/nepomukfeeder
-I/usr/include -I/usr/include/KDE -I/usr/include/qt4/phonon
-I/usr/include/qt4/QtXmlPatterns -I/usr/include/qt4/QtXml
-I/usr/include/qt4/QtWebKit -I/usr/include/qt4/QtUiTools
-I/usr/include/qt4/QtTest -I/usr/include/qt4/QtSvg
-I/usr/include/qt4/QtSql -I/usr/include/qt4/QtScriptTools
-I/usr/include/qt4/QtScript -I/usr/include/qt4/QtNetwork
-I/usr/include/qt4/QtMultimedia -I/usr/include/qt4/QtHelp
-I/usr/include/qt4/QtDesigner -I/usr/include/qt4/QtDBus
-I/usr/include/qt4/QtAssistant -I/usr/include/qt4/Qt3Support
-I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore
-I/usr/include/qt4/Qt -I/usr/share/qt4/mkspecs/default
-I/usr/include/qt4 -D_BSD_SOURCE -DNEPOMUK_RESOURCE_STATIC -o
/build/buildd-kdepim-runtime_4.4.5-1-ia64-MjvnL3/kdepim-runtime-4.4.5/obj-ia64-linux-gnu/agents/nepomuk_contact_feeder/nepomukcontactfeeder.moc
/build/buildd-kdepim-runtime_4.4.5-1-ia64-MjvnL3/kdepim-runtime-4.4.5/agents/nepomuk_contact_feeder/nepomukcontactfeeder.h
/usr/bin/cmake -E cmake_progress_report
/build/buildd-kdepim-runtime_4.4.5-1-ia64-MjvnL3/kdepim-runtime-4.4.5/obj-ia64-linux-gnu/CMakeFiles
[ 0%] Generating nie.h, nie.cpp
cd agents/ontologies && /usr/bin/onto2vocabularyclass --name NIE
--encoding trig --namespace Vocabulary --no-visibility-export
/usr/share/ontology/nie/nie.trig
namespace: "http://www.semanticdesktop.org/ontologies/2007/01/19/nie#"
/usr/bin/cmake -E cmake_progress_report
/build/buildd-kdepim-runtime_4.4.5-1-ia64-MjvnL3/kdepim-runtime-4.4.5/obj-ia64-linux-gnu/CMakeFiles
93
---

Simply nepomukcontactfeeder.moc should have been generated *after*
nie.h. Fixing it properly may not be so trivial though. Try if you
want

Regards,
George


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: AANLkTimX7dxbfX4WFG__y-V1QLaA_1LWFxVMpXBxdrUo@mail.gmail.com">http://lists.debian.org/AANLkTimX7dxbfX4WFG__y-V1QLaA_1LWFxVMpXBxdrUo@mail.gmail.com
 

Thread Tools




All times are GMT. The time now is 06:47 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org